DOM::HTMLAreaElement Class Reference

`#include <html_image.h>`

Inheritance diagram for DOM::HTMLAreaElement:

## Public Member Functions

| HTMLAreaElement (const HTMLAreaElement &other)
| HTMLAreaElement (const Node &other)
HTMLAreaElement & | operator= (const HTMLAreaElement &other)
HTMLAreaElement & | operator= (const Node &other)
DOMString | accessKey () const
void | setAccessKey (const DOMString &)
DOMString | alt () const
void | setAlt (const DOMString &)
DOMString | coords () const
void | setCoords (const DOMString &)
DOMString | href () const
void | setHref (const DOMString &)
bool | noHref () const
void | setNoHref (bool)
DOMString | shape () const
void | setShape (const DOMString &)
long | tabIndex () const
void | setTabIndex (long)
DOMString | target () const
void | setTarget (const DOMString &)
Public Member Functions inherited from DOM::HTMLElement
| HTMLElement (const HTMLElement &other)
| HTMLElement (const Node &other)
HTMLElement & | operator= (const HTMLElement &other)
HTMLElement & | operator= (const Node &other)
DOMString | id () const
void | setId (const DOMString &)
DOMString | title () const
void | setTitle (const DOMString &)
DOMString | lang () const
void | setLang (const DOMString &)
DOMString | dir () const
void | setDir (const DOMString &)
DOMString | className () const
void | setClassName (const DOMString &)
DOMString | innerHTML () const
void | setInnerHTML (const DOMString &html)
DOMString | innerText () const
void | setInnerText (const DOMString &text)
HTMLCollection | children () const
HTMLCollection | all () const
void | removeCSSProperty (const DOMString &property)
void | addCSSProperty (const DOMString &property, const DOMString &value)
Public Member Functions inherited from DOM::Element
| Element (const Node &other)
| Element (const Element &other)
Element & | operator= (const Node &other)
Element & | operator= (const Element &other)
DOMString | tagName () const
DOMString | getAttribute (const DOMString &name)
void | setAttribute (const DOMString &name, const DOMString &value)
void | removeAttribute (const DOMString &name)
Attr | getAttributeNode (const DOMString &name)
Attr | setAttributeNode (const Attr &newAttr)
Attr | removeAttributeNode (const Attr &oldAttr)
NodeList | getElementsByTagName (const DOMString &name)
NodeList | getElementsByTagNameNS (const DOMString &namespaceURI, const DOMString &localName)
DOMString | getAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
void | setAttributeNS (const DOMString &namespaceURI, const DOMString &qualifiedName, const DOMString &value)
void | removeAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | getAttributeNodeNS (const DOMString &namespaceURI, const DOMString &localName)
Attr | setAttributeNodeNS (const Attr &newAttr)
bool | hasAttribute (const DOMString &name)
bool | hasAttributeNS (const DOMString &namespaceURI, const DOMString &localName)
CSSStyleDeclaration | style ()
bool | contentEditable () const
void | setContentEditable (bool enabled)
bool | isHTMLElement () const
Element | form () const
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| HTMLAreaElement (HTMLAreaElementImpl *impl)
Protected Member Functions inherited from DOM::HTMLElement
| HTMLElement (HTMLElementImpl *impl)
void | assignOther (const Node &other, int elementId)
Protected Member Functions inherited from DOM::Element
| Element (ElementImpl *_impl)

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Static Public Member Functions inherited from DOM::Element
static bool | khtmlValidAttrName (const DOMString &name)
static bool | khtmlValidPrefix (const DOMString &name)
static bool | khtmlValidQualifiedName (const DOMString &name)
static bool | khtmlMalformedQualifiedName (const DOMString &name)
static bool | khtmlMalformedPrefix (const DOMString &name)
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

Client-side image map area definition.

See the AREA element definition in HTML 4.0.

Definition at line 47 of file html_image.h.

## Member Function Documentation

DOMString HTMLAreaElement::accessKey | ( |  | ) | const

A single character access key to give access to the form control.

See the accesskey attribute definition in HTML 4.0.

Definition at line 63 of file html_image.cpp.

DOMString HTMLAreaElement::alt | ( |  | ) | const

Alternate text for user agents not rendering the normal content of this element.

See the alt attribute definition in HTML 4.0.

Definition at line 74 of file html_image.cpp.

DOMString HTMLAreaElement::coords | ( |  | ) | const

Comma-separated list of lengths, defining an active region geometry.

See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0.

Definition at line 85 of file html_image.cpp.

DOMString HTMLAreaElement::href | ( |  | ) | const

The URI of the linked resource.

See the href attribute definition in HTML 4.0.

Definition at line 96 of file html_image.cpp.

bool HTMLAreaElement::noHref | ( |  | ) | const

Specifies that this area is inactive, i.e., has no associated action.

See the nohref attribute definition in HTML 4.0.

Definition at line 108 of file html_image.cpp.

void HTMLAreaElement::setAccessKey | ( | const DOMString & | value | ) |

see accessKey

Definition at line 69 of file html_image.cpp.

void HTMLAreaElement::setAlt | ( | const DOMString & | value | ) |

see alt

Definition at line 80 of file html_image.cpp.

void HTMLAreaElement::setCoords | ( | const DOMString & | value | ) |

see coords

Definition at line 91 of file html_image.cpp.

void HTMLAreaElement::setHref | ( | const DOMString & | value | ) |

see href

Definition at line 103 of file html_image.cpp.

void HTMLAreaElement::setNoHref | ( | bool | _noHref | ) |

see noHref

Definition at line 114 of file html_image.cpp.

void HTMLAreaElement::setShape | ( | const DOMString & | value | ) |

see shape

Definition at line 131 of file html_image.cpp.

void HTMLAreaElement::setTabIndex | ( | long | _tabIndex | ) |

see tabIndex

Definition at line 142 of file html_image.cpp.

void HTMLAreaElement::setTarget | ( | const DOMString & | value | ) |

see target

Definition at line 156 of file html_image.cpp.

DOMString HTMLAreaElement::shape | ( |  | ) | const

The shape of the active area.

The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0.

Definition at line 125 of file html_image.cpp.

long HTMLAreaElement::tabIndex | ( |  | ) | const

Index that represents the element's position in the tabbing order.

See the tabindex attribute definition in HTML 4.0.

Definition at line 136 of file html_image.cpp.

DOMString HTMLAreaElement::target | ( |  | ) | const

Frame to render the resource in.

See the target attribute definition in HTML 4.0.

Definition at line 150 of file html_image.cpp.

The documentation for this class was generated from the following files:

- html_image.h
- html_image.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys